{% extends 'Default/index.html.twig' %}

{% block main_content %}
  <section id="intro" class="my-4 mx-5">
    <div class="row">
      <div class="col-lg-12">
        <h2>{{ 'nav.admin.operatori' | trans }}</h2>
      </div>

      <div class="col-12">
        <table class="table table-striped table-condensed">
          <thead>
          <tr>
            <th>{{ 'general.nome'|trans }}</th>
            <th>{{ 'general.username'|trans }}</th>
            <th>{{ 'general.email'|trans }}</th>
            <th class="text-center">{{ 'enabled'|trans }}</th>
            <th class="text-center">{{ 'general.api'|trans }}</th>
            <th class="text-center">{{ 'general.console'|trans }}</th>
            <th>{{ 'operatori.ultima_modifica_password'|trans }}</th>
            <th aria-label="{{ 'no_value' | trans() }}"></th>
          </tr>
          </thead>
          <tbody>
          {% for operatoreUser in operatoreUsers %}
            <tr>
              <td>
                <a
                  href="{{ path('admin_operatore_show', { 'id': operatoreUser.id }) }}">{{ operatoreUser.nome }} {{ operatoreUser.getCognome }}</a>
              </td>
              <td>{{ operatoreUser.username }}</td>
              <td>{{ operatoreUser.email }}</td>
              <td class="text-center">
                <svg class="icon-expand icon {{ operatoreUser.enabled ?  'icon-success' : 'icon-danger' }}">
                  <use
                    xlink:href="/bootstrap-italia/dist/svg/sprite.svg#{{ operatoreUser.enabled ?  'it-check' : 'it-close' }}"></use>
                </svg>
              </td>
              <td class="text-center">
                <svg class="icon-expand icon icon-success"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use></svg>
              </td>
              <td class="text-center">
                <svg
                  class="icon-expand icon {{ operatoreUser.isSystemUser ?  'icon-danger' : 'icon-success' }}">
                  <use
                    xlink:href="/bootstrap-italia/dist/svg/sprite.svg#{{ operatoreUser.isSystemUser ?  'it-close' : 'it-check' }}"></use>
                </svg>
              </td>
              <td>{% if operatoreUser.lastChangePassword %}{{ operatoreUser.lastChangePassword|format_datetime('medium', 'medium', locale=app.request.locale) }}{% else %} --- {% endif %}</td>
              <td class="actions text-right">
                <a class="btn btn-secondary btn-xs"
                   href="{{ path('admin_operatore_edit', { 'id': operatoreUser.id }) }}">{{ 'modifica'|trans }}</a>
                <a class="btn btn-danger btn-xs" onclick="return confirm('{{ 'general.alert_elimina'|trans }}');"
                   href="{{ path('admin_operatore_delete', { 'id': operatoreUser.id }) }}">{{ 'elimina'|trans }}</a>
              </td>
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
      <div class="col-12">
        <div class="dropdown mt-3">
          <button class="btn btn-primary dropdown-toggle" type="button" id="createOperatorButton" data-toggle="dropdown"
                  aria-haspopup="true" aria-expanded="false">
            {{ 'aggiungi'|trans }}
            <svg class="icon-expand icon icon-sm icon-light">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-expand"></use>
            </svg>
          </button>
          <div class="dropdown-menu" aria-labelledby="createOperatorButton">
            <a class="dropdown-item"
               href="{{ path('admin_operatore_new') }}">{{ 'nav.admin.create_new_operator'|trans }}</a>
            <a class="dropdown-item"
               href="{{ path('admin_operatore_new', { 'system_user': 'true' }) }}">{{ 'nav.admin.create_new_system_user'|trans }}</a>
          </div>
        </div>
      </div>
    </div>
  </section>
{% endblock %}
